import * as Auth from "aws-amplify/auth";

import { useState } from "react";

export const Login = () => {
  const [username, setUsername] = useState("");
  const [password, setPassword] = useState("");
  const [error, setError] = useState("");

  const handleSignIn = async () => {
    try {
      const ret = await Auth.signIn({ username, password });
      console.log(ret);
      alert("ログイン成功！");
    } catch (err: any) {
      setError(err.message || "ログイン失敗");
    }
  };

  return (
    <div>
      <h2>ログイン</h2>
      <input placeholder="ユーザー名" value={username} onChange={e => setUsername(e.target.value)} />
      <input type="password" placeholder="パスワード" value={password} onChange={e => setPassword(e.target.value)} />
      <button onClick={handleSignIn}>ログイン</button>
      {error && <p style={{ color: "red" }}>{error}</p>}
    </div>
  );
};
export default Login;
